import { PureComponent } from 'react';
import { IRadioProps } from '../radio';
import Store from './Store';
interface IGridSelectionRadioProps {
    disabled?: boolean;
    reason?: React.ReactNode;
    rowIndex: number | string;
    store: Store;
    onChange: IRadioProps<unknown>['onChange'];
}
interface IGridSelectionRadioState {
    checked: boolean;
}
declare class SelectionCheckbox extends PureComponent<IGridSelectionRadioProps, IGridSelectionRadioState> {
    constructor(props: IGridSelectionRadioProps);
    static getDerivedStateFromProps(props: IGridSelectionRadioProps, state: any): {
        checked: boolean;
    };
    unsubscribe?: () => void;
    subscribe: () => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default SelectionCheckbox;
